Skip to main content
PATCH
/
dev
/
v1
/
products
/
{id}
Update product
curl --request PATCH \
  --url https://api.shoppex.io/dev/v1/products/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "DYNAMIC",
  "dynamic_webhook": "https://example.com/updated",
  "delivery_instructions": {
    "required": false,
    "label": "Setup note",
    "max_length": 300
  },
  "custom_fields": [
    {
      "name": "Display Name",
      "type": "text",
      "required": false
    }
  ]
}
'
{
  "data": {
    "id": "prod_db_1",
    "uniqid": "prod_1",
    "shop_id": "shop_1",
    "slug": null,
    "type": "DYNAMIC",
    "subtype": null,
    "title": "Product One",
    "currency": "USD",
    "price": 19.99,
    "price_display": 19.99,
    "description": "Product description",
    "gateways": [
      "PAYPAL"
    ],
    "custom_fields": [
      {
        "name": "Display Name",
        "type": "text",
        "required": false
      }
    ],
    "delivery_instructions": {
      "enabled": true,
      "required": false,
      "label": "Setup note",
      "max_length": 300
    },
    "quantity_min": 1,
    "quantity_max": -1,
    "quantity_warning": 0,
    "stock": 0,
    "stock_delimiter": "\n",
    "unlisted": false,
    "private": false,
    "on_hold": false,
    "sort_priority": 0,
    "crypto_confirmations": 1,
    "max_risk_level": 0,
    "block_vpn_proxies": false,
    "delivery_text": "",
    "delivery_time": null,
    "service_text": "",
    "dynamic_webhook": "https://example.com/updated",
    "watermark_enabled": true,
    "image_id": null,
    "image_url": null,
    "variants": [],
    "created_at": 1711965600,
    "updated_at": 1711969200
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

title
string
price
number
cost
number | null
description
string
currency
string
gateways
string[]
type
Available options:
SERIALS
subtype
Available options:
SINGLE
serials
string[]
serialsRemoveDuplicates
boolean
serials_remove_duplicates
boolean
serviceText
string
service_text
string
stock
number
dynamicWebhook
string | null
dynamic_webhook
string | null
stockDelimiter
Available options:
comma
stock_delimiter
Available options:
comma
quantity
object
quantity_min
number
quantity_max
number
deliveryText
string
delivery_text
string
customFields
object[]
custom_fields
object[]
deliveryInstructions
object
delivery_instructions
object
cryptoConfirmationsNeeded
number
crypto_confirmations_needed
number
crypto_confirmations
number
maxRiskLevel
number
max_risk_level
number
unlisted
boolean
private
boolean
blockVpnProxies
boolean
block_vpn_proxies
boolean
sortPriority
number
sort_priority
number
webhooks
string[]
onHold
boolean
on_hold
boolean
termsOfService
string | null
terms_of_service
string | null
warrantyDays
number
warranty_days
number
warrantyText
string | null
warranty_text
string | null
volumeDiscounts
object[]
volume_discounts
object[]
recurringInterval
Available options:
DAY
recurring_interval
Available options:
DAY
recurringIntervalCount
number | null
recurring_interval_count
number | null
trialPeriod
number | null
trial_period
number | null
discountPercent
number
discount_percent
number
deliveryTime
number | null
delivery_time
number | null
categoryId
string | null
category_id
string | null
watermarkEnabled
boolean
watermark_enabled
boolean
watermarkText
string | null
watermark_text
string | null
redirectTime
number | null
redirect_time
number | null
variants
object[] | null
discordIntegration
boolean
discord_integration
boolean
discordSetRole
boolean
discord_set_role
boolean
discordServerId
string | null
discord_server_id
string | null
discordRoleId
string | null
discord_role_id
string | null
discordRemoveRole
boolean
discord_remove_role
boolean
payWhatYouWant
boolean
pay_what_you_want
boolean
affiliateRevenuePercent
number
affiliate_revenue_percent
number
affiliateCustomerDiscountMode
Available options:
USE_STORE_DEFAULT
affiliate_customer_discount_mode
Available options:
USE_STORE_DEFAULT
affiliateCustomerDiscountPercent
number | null
affiliate_customer_discount_percent
number | null
discordOptional
boolean
discord_optional
boolean
licensingEnabled
boolean
licensing_enabled
boolean
licensePeriod
string | null
license_period
string | null
label_singular
string
label_plural
string
slug
string | null

Response

200 - application/json

Successful response

data
object